Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezgroupeventcalendar/user/dayview.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: dayview.php,v 1.38 2001/03/12 13:55:47 fh Exp $
5 //
6 // Adam Fallert <FallertA@umsystem.edu>
7 // Created on: <3-Oct-2001 14:36:00>
8 //
9 // This source file is part of Exponential Basic, publishing software.
10 // Copyright (C) 1999-2001 eZ systems as
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26 // debug stuff
27 // Initialise the HTML4 Table rendering (see Var_Dump/Renderer/HTML4_Table.php)
28 /*
29 include_once( "classes/INIFile.php" );
30 include_once( "classes/eztemplate.php" );
31 include_once( "classes/ezlog.php" );
32 include_once( "classes/ezlocale.php" );
33
34 include_once( "classes/ezdate.php" );
35 include_once( "classes/eztime.php" );
36
37 include_once( "ezuser/classes/ezusergroup.php" );
38 include_once( "ezuser/classes/ezpermission.php" );
39
40 include_once( "ezgroupeventcalendar/classes/ezgroupevent.php" );
41 include_once( "ezgroupeventcalendar/classes/ezgroupeventtype.php" );
42 include_once( "ezgroupeventcalendar/classes/ezgroupnoshow.php" );
43 include_once( "ezgroupeventcalendar/classes/ezgroupeditor.php" );
44 */
45
46 $ini = &eZINI::instance( 'site.ini' );
47 $SiteDesign = $ini->variable("site", "SiteDesign");
48
49 $Language = $ini->variable("eZGroupEventCalendarMain", "Language");
50 $StartTimeStr = $ini->variable("eZGroupEventCalendarMain", "DayStartTime");
51 $StopTimeStr = $ini->variable("eZGroupEventCalendarMain", "DayStopTime");
52
53 $TemplateDir = $ini->variable( "eZGroupEventCalendarMain", "TemplateDir" );
54 $GlobalSectionID = $ini->variable( "eZGroupEventCalendarMain", "DefaultSection" );
55
56 //$IntervalStr = $ini->variable( "eZGroupEventCalendarMain", "DayInterval" );
57 $IntervalStr = "00:15"; // for future refactoring, this doesn't need to be preg'ed
58 $Locale = new eZLocale($Language);
59 $curDate = new eZDate();
60 //die('day ' .$curDate->year().$curDate->month().$curDate->day());
61 //Var_Dump::display($curDate);
62 $curYear = $curDate->year();
63 $curMonth = $curDate->month();
64 $curDay = $curDate->day();
65
66 $user = eZUser::currentUser();
67
68 if( $user )
69 {
70 $userID = $user->id();
71 }
72 elseif (!$user)
73 {
74 $userID = 0;
75 }
76
77 $session = &eZSession::globalSession();
78 $session->fetch();
79
80 $URL = explode("/", $_SERVER["REQUEST_URI"]);
81
82 if (count($URL) <= 5) {
83 if (isset($URL[6]) && is_numeric($URL[6])) {
84 $groupID = $URL[6];
85 } else {
86 $groupID = 0;
87 }
88 } else {
89 $readGroup = new eZUserGroup($session->variable("ShowOtherCalendarGroups"));
90 $groupID = $readGroup->id();
91 }
92
93 if (!isset($GetByGroupID)) {
94 $GetByGroupID = $groupID;
95 }
96
97 if ($GetByGroupID == false) {
98 $GetByGroupID = $groupID;
99 }
100
101 if (!isset($GetByUserID)) {
102 $GetByUserID = $userID;
103 }
104
105 if (!isset($Type)) {
106 $Type = 0;
107 }
108
109 $type = new eZGroupEventType($Type);
110
111 if (
112 $session->variable("ShowOtherCalendarGroups") == false ||
113 isset($GetByGroup)
114 ) {
115 $session->setVariable("ShowOtherCalendarGroups", $GetByGroupID);
116 }
117 $tmpGroup = new eZUserGroup($session->variable("ShowOtherCalendarGroups"));
118
119 //Get the TYPE session data
120 if (
121 $session->variable("ShowOtherCalendarTypes") == false ||
122 isset($GetByTypeID)
123 ) {
124 if (!isset($GetByTypeID)) {
125 $GetByTypeID = 0;
126 }
127
128 $session->setVariable("ShowOtherCalendarTypes", $GetByTypeID);
129 }
130 $type = new eZGroupEventType($session->variable("ShowOtherCalendarTypes"));
131
132 if (!isset($GetByTypeID)) {
133 $GetByTypeID = $type->id();
134 }
135
136 $date = new eZDate();
137
138 if ($Year != "" && $Month != "" && $Day != "") {
139 $date->setYear($Year);
140 $date->setMonth($Month);
141 $date->setDay($Day);
142 } else {
143 $Year = $date->year();
144 $Month = $date->month();
145 $Day = $date->day();
146 }
147
148 $session->setVariable("Year", $Year);
149 $session->setVariable("Month", $Month);
150 $session->setVariable("Day", $Day);
151
152 $zMonth = addZero($Month);
153 $zDay = addZero($Day);
154 $isMyCalendar = $user && $userID == $GetByUserID ? "-private" : "";
155
156
157 // init the section
158 $sectionObject =& eZSection::globalSectionObject( $GlobalSectionID );
159 $sectionObject->setOverrideVariables();
160
161 $templateDirTmp = $sectionObject->templateStyle();
162
163 if ( $templateDirTmp != null && trim( $templateDirTmp ) != "" )
164 {
165 $TemplateDir = "kernel/ezgroupeventcalendar/user/" . preg_replace( "/(.+)\/.+(\/?)/", "/\\1/$templateDirTmp\\2", $TemplateDir );
166 }
167 else
168 {
169 $TemplateDir = "kernel/ezgroupeventcalendar/user/" . $ini->variable( "eZGroupEventCalendarMain", "TemplateDir" );
170 }
171
172 //$t = new eZTemplate( "kernel/ezgroupeventcalendar/user/" . $ini->variable( "eZGroupEventCalendarMain", "TemplateDir" ),
173 $t = new eZTemplate( $TemplateDir,
174 "kernel/ezgroupeventcalendar/user/intl",
175 $Language,
176 "dayview.php",
177 "default",
178 "kernel/ezgroupeventcalendar" . "/user",
179 "$Year-$zMonth-$zDay-$GetByUserID" . $isMyCalendar
180 );
181
182 $t->set_file("day_view_page_tpl", "dayview.tpl");
183
184 $user_groupID = "-1";
185 $groupsList = "-1";
186
187 // groups not to include
188 $noShowGroup = new eZGroupNoShow();
189
190 $rootAccess = false;
191
192 // Determin the users group membership and access
193 if ($user) {
194 if (
195 $user->hasRootAccess() == true ||
196 eZPermission::checkPermission(
197 $user,
198 "eZGroupEventCalendar",
199 "WriteToRoot"
200 )
201 ) {
202 $groups = new eZUserGroup();
203 $groupsList = $groups->getAll(true);
204 $rootAccess = true;
205 } else {
206 $groupsList = $user->groups();
207 }
208
209 $permission = new eZGroupEditor();
210
211 // Determin if the user get the time stamps as "new event" links or not
212 if (
213 $permission->hasEditPermission($user->id(), $tmpGroup->id()) == true ||
214 $rootAccess == true
215 ) {
216 $editor = true;
217 } elseif ($permission->getByGroup($tmpGroup->id()) == false) {
218 foreach ($groupsList as $groups) {
219 if (
220 $permission->groupHasEditor($groups->id()) == false &&
221 $noShowGroup->groupEntry($groups->id()) == false
222 ) {
223 if ($tmpGroup->id() != 0 && $groups->id() == $tmpGroup->id()) {
224 $editor = true;
225 break;
226 } elseif ($tmpGroup->id() == 0) {
227 $editor = true;
228 break;
229 }
230 }
231 }
232 }
233 }
234
235 //if ( $t->hasCache() && !isSet( $GetByGroup ) )
236 //{
237 // print( "cached and $GetByGroup<br />" );
238 // print( $t->cache() );
239 //}
240 //else
241 //{
242 // print( "not cached<br />" );
243 $t->setAllStrings();
244
245 $t->set_block("day_view_page_tpl", "group_item_tpl", "group_item");
246 $t->set_block("day_view_page_tpl", "type_item_tpl", "type_item");
247 $t->set_block("day_view_page_tpl", "group_print_tpl", "group_print");
248 $t->set_block("day_view_page_tpl", "time_display_tpl", "time_display");
249 $t->set_block("day_view_page_tpl", "time_table_tpl", "time_table");
250 $t->set_block("day_view_page_tpl", "valid_editor_tpl", "valid_editor");
251 $t->set_block("time_table_tpl", "no_event_tpl", "no_event");
252 $t->set_block("time_table_tpl", "private_event_tpl", "private_event");
253 $t->set_block("time_table_tpl", "public_event_tpl", "public_event");
254 $t->set_block("time_display_tpl", "new_event_link_tpl", "new_event_link");
255 $t->set_block("time_display_tpl", "no_new_event_link_tpl", "no_new_event_link");
256 $t->set_block("public_event_tpl", "delete_check_tpl", "delete_check");
257 $t->set_block("public_event_tpl", "no_delete_check_tpl", "no_delete_check");
258 $t->set_block("day_view_page_tpl", "all_day_event_tpl", "all_day_event");
259 $t->set_block(
260 "all_day_event_tpl",
261 "all_day_delete_check_tpl",
262 "all_day_delete_check"
263 );
264 $t->set_block("day_view_page_tpl", "week_tpl", "week");
265 $t->set_block("week_tpl", "day_tpl", "day");
266 $t->set_block("week_tpl", "empty_day_tpl", "empty_day");
267 $t->set_block("day_view_page_tpl", "day_links_tpl", "day_links");
268 $t->set_block("time_table_tpl", "fifteen_event_tpl", "fifteen_event");
269 $t->set_block(
270 "fifteen_event_tpl",
271 "fifteen_delete_check_tpl",
272 "fifteen_delete_check"
273 );
274 $t->set_block(
275 "fifteen_event_tpl",
276 "fifteen_no_delete_check_tpl",
277 "fifteen_no_delete_check"
278 );
279
280 $t->set_var("sitedesign", $SiteDesign);
281 $t->set_var("month_number", $Month);
282 $t->set_var("year_number", $Year);
283 $t->set_var("day_number", $Day);
284 $t->set_var("long_date", $Locale->format($date, false));
285 $t->set_var("year_cur", $curYear);
286 $t->set_var("month_cur", $curMonth);
287 $t->set_var("day_cur", $curDay);
288
289 if ($tmpGroup->id() != 0) {
290 $t->set_var("group_print_name", $tmpGroup->name());
291 $t->set_var("group_print_id", $tmpGroup->id());
292 $t->parse("group_print", "group_print_tpl", true);
293 } else {
294 $t->set_var("group_print_id", $tmpGroup->id());
295 $t->set_var("group_print", "");
296 }
297
298 /* if( $editor == true && $tmpTime->minute() == '00' )
299 {
300 $t->parse( "new_event_link", "new_event_link_tpl" );
301 $t->set_var( "no_new_event_link", "" );
302 }
303 else
304 {
305 $t->parse( "no_new_event_link", "no_new_event_link_tpl" );
306 $t->set_var( "new_event_link", "" );
307 }
308 else
309 {
310 $t->set_var( "no_new_event_link", "" );
311 $t->set_var( "new_event_link", "" );
312 }*/
313
314 $today = new eZDate();
315 $tmpDate = new eZDate($date->year(), $date->month(), $date->day());
316 $tmpGroupEvent = new eZGroupEvent();
317
318 // Fetch all the events for day
319 if ($tmpGroup->id() == 0 && $type->id() == 0) {
320 $events = &$tmpGroupEvent->getAllByDate($tmpDate, true);
321 }
322 // Fetch all appointments by type
323 elseif ($tmpGroup->id() == 0 && $type->id() != 0) {
324 $events = &$tmpGroupEvent->getByGroupType($tmpDate, $tmpGroup, $type, true);
325 }
326 // Fetch all appointments by Group
327 else {
328 $events = &$tmpGroupEvent->getByDate($tmpDate, $tmpGroup, true);
329 }
330
331 // set start/stop and interval times
332 $startTime = new eZTime();
333 $stopTime = new eZTime();
334 $interval = new eZTime();
335
336 if (
337 preg_match(
338 "#(^([0-9]{1,2})[^0-9]{0,1}([0-9]{0,2})$)#",
339 $StartTimeStr,
340 $startArray
341 )
342 ) {
343 $hour = $startArray[2];
344 $startTime->setHour($hour);
345
346 $min = $startArray[3];
347 $startTime->setMinute($min);
348
349 $startTime->setSecond(0);
350 // Var_Dump::display($startArray);
351 }
352
353 if (
354 preg_match(
355 "#(^([0-9]{1,2})[^0-9]{0,1}([0-9]{0,2})$)#",
356 $StopTimeStr,
357 $stopArray
358 )
359 ) {
360 $hour = $stopArray[2];
361 $stopTime->setHour($hour);
362
363 $min = $stopArray[3];
364 $stopTime->setMinute($min);
365
366 $stopTime->setSecond(0);
367 }
368
369 if (
370 preg_match(
371 "#(^([0-9]{1,2})[^0-9]{0,1}([0-9]{0,2})$)#",
372 $IntervalStr,
373 $intervalArray
374 )
375 ) {
376 $hour = $intervalArray[2];
377 $interval->setHour($hour);
378
379 $min = $intervalArray[3];
380 $interval->setMinute($min);
381
382 $interval->setSecond(0);
383 }
384 $dayArray = [
385 "Monday",
386 "Tuesday",
387 "Wednesday",
388 "Thursday",
389 "Friday",
390 "Saturday",
391 "Sunday",
392 ];
393
394 foreach ($dayArray as $dayname) {
395 $shortDayName = strtolower(substr($dayname, 0, 3));
396 $dayDistance = getDayDiff($date->dayName(false), $shortDayName);
397 $compDate = $date;
398 $compDate->move(0, 0, $dayDistance);
399 $t->set_var("top_day_number", $compDate->day());
400 $t->set_var("top_month_number", $compDate->month());
401 $t->set_var("top_year_number", $compDate->year());
402 $t->set_var("day_name", $dayname);
403 if ($date->dayName(true) == $shortDayName) {
404 $t->set_var("class_name", "gcalDayViewTopBarSelect");
405 } else {
406 $t->set_var("class_name", "gcalDayViewTopBar");
407 }
408 $t->parse("day_links", "day_links_tpl", true);
409 }
410 $t->set_var("the_month", $date->month());
411 $t->set_var("the_day", $date->day());
412 $t->set_var("the_year", $date->year());
413
414 // increase schedule span to fit early/late events
415 $midNight = new eZTime();
416 $midNight->setSecondsElapsed(0);
417 $lastInterval = $midNight->subtract($interval);
418 $firstInterval = $midNight->add($interval);
419 for ($i = 0; $i < sizeof($events); $i++) {
420 $appStartTime = &$events[$i]->startTime();
421 $appStopTime = &$events[$i]->stopTime();
422 $appStartStr = $appStartTime->hour() . addZero($appStartTime->minute());
423 $appStopStr = $appStopTime->hour() . addZero($appStopTime->minute());
424 $startStr = $startTime->hour() . addZero($startTime->minute());
425 $stopStr = $stopTime->hour() . addZero($stopTime->minute());
426 // adding all_day_event filtering
427 if (
428 ($appStartTime == $startTime && $appStopTime == $stopTime) ||
429 ($appStartStr <= $startStr && $appStopStr >= $stopStr)
430 ) {
431 $allDayEvents[] = $events[$i];
432 $events[$i]->setNoDisplay(true);
433 continue;
434 }
435 if ($appStartTime->isGreater($firstInterval)) {
436 $startTime = $midNight;
437 }
438
439 while ($appStartTime->isGreater($startTime)) {
440 $startTime = $startTime->subtract($interval);
441 }
442
443 if ($lastInterval->isGreater($appStopTime)) {
444 $stopTime = new eZTime(23, 59);
445 }
446
447 while ($stopTime->isGreater($appStopTime)) {
448 $stopTime = $stopTime->add($interval);
449 }
450 }
451
452 if (isset($allDayEvents)) {
453 foreach ($allDayEvents as $adEvent) {
454 $t->set_var("all_day_name", stripslashes($adEvent->name()));
455 $t->set_var("all_day_overlib_name", addslashes($adEvent->name()));
456 $adStartTime = $adEvent->startTime();
457 $adStart =
458 addZero($adStartTime->hour()) .
459 ":" .
460 addZero($adStartTime->minute());
461 $adStopTime = $adEvent->stopTime();
462 $adStop =
463 addZero($adStopTime->hour()) . ":" . addZero($adStopTime->minute());
464
465 $t->set_var("all_day_id", $adEvent->id());
466 $t->set_var("all_day_start", $adStart);
467 $t->set_var("all_day_stop", $adStop);
468 $t->set_var("all_day_desc", addslashes($adEvent->description()));
469 $t->set_var(
470 "all_day_location",
471 $adEvent->location() ? $adEvent->location() : ""
472 );
473
474 $event_editor = false;
475 $groupMember = false;
476 if ($rootAccess == true) {
477 $groupMember = true;
478 } elseif ($groupsList != "-1" && $rootAccess == false) {
479 foreach ($groupsList as $groups) {
480 //If the user has a matching group set their group id to the matching group else there group id will be -1.
481 if ($adEvent->groupID() == $groups->id()) {
482 $user_groupID = $groups->id();
483 $groupMember = true;
484 break;
485 }
486 }
487 }
488
489 // Determine editing permissions for mixed group dayviews
490 if ($groupMember == true && $editor == true) {
491 $event_editor = true;
492 }
493 if ($event_editor) {
494 $t->parse("all_day_delete_check", "all_day_delete_check_tpl");
495 } else {
496 $t->set_var("all_day_delete_check", "");
497 }
498
499 $t->parse("all_day_event", "all_day_event_tpl", true);
500 }
501 } else {
502 $t->set_var("all_day_name", "");
503 $t->set_var("all_day_id", "");
504 $t->set_var("all_day_start", "");
505 $t->set_var("all_day_stop", "");
506 $t->set_var("all_day_desc", "");
507 $t->set_var("all_day_location", "");
508 $t->set_var("all_day_type", "");
509 $t->set_var("all_day_priority", "");
510 $t->set_var("all_day_status", "");
511 $t->set_var("all_day_event", "");
512 }
513 for ($i = $startTime->hour(); $i <= $stopTime->hour(); $i++) {
514 $t->set_var("short_time", $i . ":00");
515 $dispHour = addZero($i);
516 $t->set_var("display_start_time", $dispHour . "00");
517
518 if (isset($editor) && $editor == true) {
519 $t->parse("new_event_link", "new_event_link_tpl");
520 $t->set_var("no_new_event_link", "");
521 } else {
522 $t->parse("no_new_event_link", "no_new_event_link_tpl");
523 $t->set_var("new_event_link", "");
524 }
525
526 if (!isset($eventGroup) || (isset($eventGroup) && $eventGroup->id() != 0)) {
527 $t->parse("time_display", "time_display_tpl", true);
528 }
529 }
530
531 // places events into columns, creates extra columns as necessary
532 $numRows = 0;
533 $numCols = 1;
534 $tableCellsId = []; // appointmend id for a cell
535 $tableCellsRowSpan = []; // rowspan for a cell
536 $colTaken = []; // number of non free rows in the current column, after the last event. 0 means col free.
537 $emptyRows = []; // number of empty rows in the current column, after the last event
538 $eventDone = []; // true when the event has been inserted into the table
539 $tmpTime = new eZTime();
540 $tmpTime->setSecondsElapsed($startTime->secondsElapsed());
541 while ($tmpTime->isGreater($stopTime) == true) {
542 $numRows++;
543 $tableCellsId[$numRows - 1] = [];
544 $tableCellsRowSpan[$numRows - 1] = [];
545 //echo "$numRows rows<br />";
546
547 // marks cells as taken, -1
548 for ($col = 0; $col < $numCols; $col++) {
549 if (isset($colTaken[$col]) && $colTaken[$col] > 0) {
550 $tableCellsId[$numRows - 1][$col] = -1;
551 }
552 }
553
554 foreach ($events as $event) {
555 if ($event->NoDisplay()) {
556 continue;
557 } // don't show all day events
558 // avoid wrapping around midnight
559 $nextInterval = $tmpTime->add($interval);
560 if ($nextInterval->isGreater($tmpTime)) {
561 $nextInterval = new eZTime(23, 59);
562 }
563
564 // if this event should be inserted into the table now
565 if (
566 !isset($eventDone[$event->id()]) &&
567 intersects($event, $tmpTime, $nextInterval) == true
568 ) {
569 $foundFreeColumn = false;
570 $col = 0;
571 while ($foundFreeColumn == false) {
572 // the column is free, insert event here
573 if (!isset($tableCellsId[$numRows - 1][$col])) {
574 $tableCellsId[$numRows - 1][$col] = $event->id();
575 $tableCellsRowSpan[$numRows - 1][$col] = eventRowSpan(
576 $event,
577 $tmpTime,
578 $interval
579 );
580 $colTaken[$col] = $tableCellsRowSpan[$numRows - 1][$col];
581 $eventDone[$event->id()] = true;
582 $foundFreeColumn = true;
583
584 // if we created a new column, mark leading empty spaces
585 if ($col >= $numCols) {
586 $emptyRows[$col] = $numRows - 1;
587 }
588
589 if (isset($emptyRows[$col]) && $emptyRows[$col] > 0) {
590 // var_dump($emptyRows[$col]);
591 $tableCellsId[$numRows - 1 - $emptyRows[$col]][
592 $col
593 ] = -2;
594 $tableCellsRowSpan[$numRows - 1 - $emptyRows[$col]][
595 $col
596 ] = $emptyRows[$col];
597 $emptyRows[$col] = 0;
598 }
599 }
600
601 // the column was not free, try the next one
602 $col++;
603 if ($col > $numCols) {
604 $numCols++;
605 }
606 }
607 }
608 }
609
610 // decrease/increase counts as we move down
611 for ($col = 0; $col < $numCols; $col++) {
612 if (isset($colTaken[$col]) && $colTaken[$col] > 0) {
613 $colTaken[$col]--;
614 }
615
616 if (
617 isset($tableCellsId[$numRows - 1][$col]) &&
618 $tableCellsId[$numRows - 1][$col] == 0
619 ) {
620 $emptyRows[$col]++;
621 }
622 }
623
624 if ($tmpTime > $tmpTime->add($interval)) {
625 $tmpTime = new eZTime(23, 59);
626 } else {
627 $tmpTime = $tmpTime->add($interval);
628 }
629 }
630
631 // mark remaining empty spaces as empty, -2
632 for ($col = 0; $col < $numCols; $col++) {
633 if (isset($emptyRows[$col]) && $emptyRows[$col] > 0) {
634 $tableCellsId[$numRows - $emptyRows[$col]][$col] = -2;
635 $tableCellsRowSpan[$numRows - $emptyRows[$col]][$col] =
636 $emptyRows[$col];
637 }
638 }
639
640 // prints out the time table
641 $emptyDone = false;
642 $now = new eZTime();
643 $nowSet = false;
644 $row = 0;
645 $tmpTime = new eZTime();
646 $tmpTime->setSecondsElapsed($startTime->secondsElapsed());
647 while ($tmpTime->isGreater($stopTime, false) == true) {
648 // this if block is a way to get the 23rd hour displayed
649 // if ($tmpTime->hour() == 22 && $toggle23) $tmpTime = $tmpTime->add( $interval );
650 // $t->set_var( "short_time", $Locale->format( $tmpTime, true ) );
651 $t->set_var(
652 "start_time",
653 addZero($tmpTime->hour()) . addZero($tmpTime->minute())
654 );
655
656 $drawnColumn = [];
657
658 $t->set_var("fifteen_event", "");
659 $t->set_var("public_event", "");
660 $t->set_var("private_event", "");
661 $t->set_var("no_event", "");
662 $t->set_var("delete_check", "");
663
664 for ($col = 0; $col < $numCols; $col++) {
665 if (!isset($tableCellsId[$row][$col])) {
666 $eventId = 0;
667 } else {
668 $eventId = $tableCellsId[$row][$col];
669 }
670
671 $event_editor = false;
672 $groupMember = false;
673
674 // an event
675 if ($eventId > 0) {
676 $event = new eZGroupEvent($eventId);
677
678 if ($rootAccess == true) {
679 $groupMember = true;
680 } elseif ($groupsList != "-1" && $rootAccess == false) {
681 foreach ($groupsList as $groups) {
682 //If the user has a matching group set their group id to the matching group else there group id will be -1.
683 if ($event->groupID() == $groups->id()) {
684 $user_groupID = $groups->id();
685 $groupMember = true;
686 break;
687 }
688 }
689 }
690
691 // Determine editing permissions for mixed group dayviews
692 if ($groupMember == true && $editor == true) {
693 $event_editor = true;
694 }
695
696 $group = new eZUserGroup($event->groupID());
697 $t->set_var("event_groupName", $group->name());
698
699 // a private event
700 if (
701 $event->isPrivate() == true &&
702 $groupMember != true &&
703 !eZPermission::checkPermission(
704 $user,
705 "eZGroupEventCalendar",
706 "Read"
707 )
708 ) {
709 $t->set_var("td_class", "bgdark");
710 $t->set_var("rowspan_value", $tableCellsRowSpan[$row][$col]);
711
712 $t->parse("private_event", "private_event_tpl", true);
713 }
714 // a public event or a private event that a non group member can read
715 elseif (
716 $event->isPrivate() == false ||
717 ($event->isPrivate() == true &&
718 eZPermission::checkPermission(
719 $user,
720 "eZGroupEventCalendar",
721 "Read"
722 ))
723 ) {
724 // var_dump($tableCellsRowSpan[$row][$col]);
725 $t->set_var("td_class", "bgdark");
726 $t->set_var("rowspan_value", $tableCellsRowSpan[$row][$col]);
727 $t->set_var("event_id", $event->id());
728 $t->set_var("event_name", stripslashes($event->name()));
729 $t->set_var("overlib_event_name", addslashes($event->name()));
730 $t->set_var(
731 "event_description",
732 stripslashes($event->description(false))
733 );
734 $t->set_var(
735 "overlib_event_description",
736 addslashes($event->description(false))
737 );
738 $t->set_var("edit_button", "Edit");
739 $eventDivHeight = getEventHeight($event);
740 $t->set_var("event_div_height", $eventDivHeight);
741 $permission = new eZGroupEditor();
742 // This should not be but was needed to display the date correctly in the overlib ui.
743 $evStop = $event->duration();
744 $evStart = $event->dateTime();
745 $evStartTime =
746 $evStart->hour() . ":" . addZero($evStart->minute());
747 $evStopTime =
748 $evStop->hour() . ":" . addZero($evStop->minute());
749 $t->set_var("event_start", $evStartTime);
750 $t->set_var("event_stop", $evStopTime);
751 $evStopStr = $evStop->hour() . addZero($evStop->minute());
752 $evStartStr = $evStart->hour() . addZero($evStart->minute());
753 // fix for 15 min stop times that end on another hour
754 if (substr($evStopStr, 1, 2) == "00") {
755 $evStopStr = substr($evStopStr, 0, 1) - 1 . "60";
756 }
757 settype($evStopStr, "integer");
758 settype($evStartStr, "integer");
759 $res = $evStopStr - $evStartStr;
760 if ($evStopStr - $evStartStr == 15) {
761 $t->set_var("public_event", "");
762
763 if ($event_editor == true) {
764 $t->parse(
765 "fifteen_delete_check",
766 "fifteen_delete_check_tpl"
767 );
768 $t->set_var("fifteen_no_delete_check", "");
769 } else {
770 $t->parse(
771 "fifteen_no_delete_check",
772 "fifteen_no_delete_check_tpl"
773 );
774 $t->set_var("fifteen_delete_check", "");
775 }
776 $t->parse("fifteen_event", "fifteen_event_tpl", true);
777 } else {
778 if ($event_editor == true) {
779 $t->parse("delete_check", "delete_check_tpl");
780 $t->set_var("no_delete_check", "");
781 } else {
782 $t->parse("no_delete_check", "no_delete_check_tpl");
783 $t->set_var("delete_check", "");
784 }
785 $t->set_var("fifteen_event", "");
786
787 $t->parse("public_event", "public_event_tpl", true);
788 }
789 }
790 }
791
792 // an empty space
793 elseif ($eventId == -2) {
794 $t->set_var("td_class", "bgweekend");
795 $t->set_var("rowspan_value", $tableCellsRowSpan[$row][$col]);
796
797 //$t->parse("no_event", "no_event_tpl", true);
798 }
799 }
800
801 $t->set_var("td_class", "");
802 // Mark current time with bgcurrent. Does not currently go well together with caching.
803 // if ( $date->equals( $today ) && $nowSet == false &&
804 // $tmpTime->isGreater( $now, true ) && $now->isGreater( $tmpTime->add( $interval ) ) )
805 // {
806 // $t->set_var( "td_class", "bgcurrent" );
807 // $nowSet = true;
808 // }
809 // if ( !isset($toggle23) )
810 // $toggle23 = false;
811 // if ( $tmpTime > $tmpTime->add( $interval ) )
812 // $tmpTime = new eZTime( 23, 59 );
813 // this elseif block is a hack to get isGreater to display the 23rd hour
814 // elseif ($stopTime->hour() == 23 && $tmpTime->hour() == 22 && $toggle23 == false)
815 // $toggle23 = true;
816 // else
817 $tmpTime = $tmpTime->add($interval);
818
819 $row++;
820
821 if ($i % 2 == 0) {
822 $t->set_var("td_class", "bglight");
823 } else {
824 $t->set_var("td_class", "bgdark");
825 }
826 $i++;
827 if ($i > 600) {
828 die('Error: The application has halted to prevent a server crash due to the complexity of the events on this day.
829 Contact the site administrator for more details.');
830 }
831 $t->parse("time_table", "time_table_tpl", true);
832 }
833
834 // group list
835 $group = new eZUserGroup();
836 $group_array = &$group->getAll();
837
838 foreach ($group_array as $groupItem) {
839 if ($noShowGroup->groupEntry($groupItem->id()) == false) {
840 $t->set_var("group_id", $groupItem->id());
841 $t->set_var("group_name", $groupItem->Name());
842
843 if ($tmpGroup->id() == $groupItem->id()) {
844 $t->set_var("selected_group_id", $tmpGroup->id());
845 $t->set_var("group_is_selected", "selected");
846 } elseif ($tmpGroup->id() == 0) {
847 $t->set_var("selected_group_id", 0);
848 } else {
849 $t->set_var("group_is_selected", "");
850 }
851
852 $t->parse("group_item", "group_item_tpl", true);
853 }
854 }
855
856 //type list
857 $typeList = $type->getAll();
858
859 foreach ($typeList as $type) {
860 $t->set_var("type_id", $type->id());
861 $t->set_var("type_name", $type->name(true));
862
863 if ($type->id() == $GetByTypeID) {
864 $t->set_var("selected_type_id", $type->id());
865 $t->set_var("type_is_selected", "selected");
866 } else {
867 $t->set_var("type_is_selected", "");
868 }
869
870 $t->parse("type_item", "type_item_tpl", true);
871 }
872
873 if (isset($editor) && $editor == true) {
874 $t->parse("valid_editor", "valid_editor_tpl", true);
875 } else {
876 $t->set_var("valid_editor", "");
877 }
878
879 // previous day link
880 $date->setYear($Year);
881 $date->setMonth($Month);
882 $dayAdjust = 0;
883 $date->setDay($Day - 7);
884 if ($date->day() < 1) {
885 $dayAdjust = $date->day();
886 $date->setMonth($Month - 1);
887 if ($date->month() < 1) {
888 $date->setMonth(12);
889 $date->setYear($Year - 1);
890 }
891 $date->setDay($date->daysInMonth() + $dayAdjust);
892 }
893 $t->set_var("pd_year_number", $date->year());
894 $t->set_var("pd_month_number", $date->month());
895 $t->set_var("pd_day_number", $date->day());
896
897 // next day link
898 $date->setYear($Year);
899 $date->setMonth($Month);
900 $date->setDay($Day + 7);
901 if ($date->day() > $date->daysInMonth()) {
902 $date->setDay($date->day() - $date->daysInMonth());
903 $date->setMonth($Month + 1);
904 if ($date->month() > 12) {
905 $date->setMonth(1);
906 $date->setYear($Year + 1);
907 }
908 }
909 $t->set_var("nd_year_number", $date->year());
910 $t->set_var("nd_month_number", $date->month());
911 $t->set_var("nd_day_number", $date->day());
912
913 // previous month link
914 $date->setYear($Year);
915 $date->setDay($Day);
916
917 $date->setMonth($Month - 1);
918 if ($date->month() < 1) {
919 $date->setMonth(12);
920 $date->setYear($Year - 1);
921 }
922 if ($date->day() > $date->daysInMonth()) {
923 $date->setDay($date->daysInMonth());
924 }
925 $t->set_var("pm_year_number", $date->year());
926 $t->set_var("pm_month_number", $date->month());
927 $t->set_var("pm_day_number", $date->day());
928
929 // next month link
930 $date->setYear($Year);
931 $date->setDay($Day);
932
933 $date->setMonth($Month + 1);
934 if ($date->month() > 12) {
935 $date->setMonth(1);
936 $date->setYear($Year + 1);
937 }
938 if ($date->day() > $date->daysInMonth()) {
939 $date->setDay($date->daysInMonth());
940 }
941 $t->set_var("nm_year_number", $date->year());
942 $t->set_var("nm_month_number", $date->month());
943 $t->set_var("nm_day_number", $date->day());
944
945 // parse month table
946 $date->setYear($Year);
947 $date->setMonth($Month);
948 $date->setDay($Day);
949
950 $t->set_var("month_number", $date->month());
951 $t->set_var("month_name", $Locale->monthName($date->monthName(), false));
952
953 $t->set_var("week", "");
954 for ($week = 0; $week < 6; $week++) {
955 $t->set_var("day", "");
956 $t->set_var("empty_day", "");
957
958 for ($day = 1; $day <= 7; $day++) {
959 $date->setDay(1);
960 $firstDay = $date->dayOfWeek($Locale->mondayFirst());
961
962 $currentDay = $day + $week * 7 - $firstDay + 1;
963
964 if (
965 $day + $week * 7 >= $firstDay &&
966 $currentDay <= $date->daysInMonth()
967 ) {
968 $date->setDay($currentDay);
969
970 $t->set_var("td_class", "bglight");
971 // if ( $date->equals( $today ) )
972 // $t->set_var( "td_class", "bgcurrent" );
973
974 $t->set_var("day_number", $currentDay);
975 $t->parse("day", "day_tpl", true);
976 } else {
977 $t->set_var("td_class", "bglight");
978 $t->parse("day", "empty_day_tpl", true);
979 }
980 }
981 $t->parse("week", "week_tpl", true);
982
983 if ($currentDay >= $date->daysInMonth()) {
984 $week = 6;
985 }
986 }
987
988 $t->storeCache("output", "day_view_page_tpl", true);
989 //}
990
991 // returns the number of rows an event covers.
992 function eventRowSpan(&$event)
993 {
994 // &$startTime, &$interval )
995 $ret = 0;
996 $dur = $event->duration();
997 $min = $dur->secondsElapsed() / 60;
998 $ret = $min / 15;
999 return $ret;
1000 /* $ret = 0;
1001 $tmpTime = new eZTime();
1002 $tmpTime->setSecondsElapsed( $startTime->secondsElapsed() );
1003 $aStop =& $event->stopTime();
1004
1005 while ( $tmpTime->isGreater( $aStop ) )
1006 {
1007 if ( $tmpTime > $tmpTime->add( $interval ) )
1008 $tmpTime = new eZTime( 23, 59 );
1009 else
1010 $tmpTime = $tmpTime->add( $interval );
1011
1012 $ret++;
1013 }
1014
1015 return $ret;*/
1016 }
1017
1018 // checks if an event intersects with a given time interval
1019 function intersects(&$app, &$startTime, &$stopTime)
1020 {
1021 $ret = false;
1022 $appStartTime = &$app->startTime();
1023 $appStopTime = &$app->stopTime();
1024
1025 // appstart is between start and stop
1026 if (
1027 $startTime->isGreater($appStartTime, true) == true &&
1028 $appStartTime->isGreater($stopTime) == true
1029 ) {
1030 $ret = true;
1031 }
1032 // appstop is between start and stop
1033 elseif (
1034 $startTime->isGreater($appStopTime) == true &&
1035 $appStopTime->isGreater($stopTime, true) == true
1036 ) {
1037 $ret = true;
1038 }
1039 // appstart is before start, and appstop is after stop
1040 elseif (
1041 $appStartTime->isGreater($startTime) == true &&
1042 $stopTime->isGreater($appStopTime) == true
1043 ) {
1044 $ret = true;
1045 }
1046
1047 return $ret;
1048 }
1049
1050 //Adds a "0" in front of the value if it's below 10.
1051 function addZero($value)
1052 {
1053 settype($value, "integer");
1054 $ret = $value;
1055 if ($ret < 10) {
1056 $ret = "0" . $ret;
1057 }
1058 return $ret;
1059 }
1060
1064 function getEventHeight($event)
1065 {
1066 $ret = 0;
1067 $dur = $event->duration();
1068 $min = $dur->secondsElapsed() / 60;
1069 $ret = $min;
1070
1071 // $starttime = $event->startTime();
1072 // $stoptime = $event->stopTime();
1073
1074 // if ($starttime->hour() == 0 && $stoptime->hour() == 23 && $starttime->minute() == '00' && $stoptime->minute() == '00')
1075 // $ret = $ret + 60;
1076 return $ret;
1077 }
1078
1079 /*;
1080 Returns the difference between 2 text days
1081 */
1082 function getDayDiff($d1, $d2)
1083 {
1084 switch ($d1) {
1085 case "mon":
1086 $d1 = 1;
1087 break;
1088 case "tue":
1089 $d1 = 2;
1090 break;
1091 case "wed":
1092 $d1 = 3;
1093 break;
1094 case "thu":
1095 $d1 = 4;
1096 break;
1097 case "fri":
1098 $d1 = 5;
1099 break;
1100 case "sat":
1101 $d1 = 6;
1102 break;
1103 case "sun":
1104 $d1 = 7;
1105 break;
1106 }
1107 switch ($d2) {
1108 case "mon":
1109 $d2 = 1;
1110 break;
1111 case "tue":
1112 $d2 = 2;
1113 break;
1114 case "wed":
1115 $d2 = 3;
1116 break;
1117 case "thu":
1118 $d2 = 4;
1119 break;
1120 case "fri":
1121 $d2 = 5;
1122 break;
1123 case "sat":
1124 $d2 = 6;
1125 break;
1126 case "sun":
1127 $d2 = 7;
1128 break;
1129 }
1130 $diff = $d2 - $d1;
1131 return $diff;
1132 }
1137 function EventTimeOverlaps($ev1, $ev2)
1138 {
1139 if (!is_object($ev1)) {
1140 $ev1 = new eZGroupEvent($ev1);
1141 $ev1->get($ev1->id());
1142 }
1143 if (!is_object($ev2)) {
1144 $ev2 = new eZGroupEvent($ev2);
1145 $ev2->get($ev2->id());
1146 }
1147 $start1 = $ev1->startTime();
1148 $start2 = $ev2->startTime();
1149 $stop1 = $ev1->stopTime();
1150 $stop2 = $ev2->stopTime();
1151 $s1 = $start1->hour() . addZero($start1->minute());
1152 $s2 = $start2->hour() . addZero($start2->minute());
1153 $e1 = $stop1->hour() . addZero($stop1->minute());
1154 $e2 = $stop2->hour() . addZero($stop2->minute());
1155 if (($s1 > $s2 && $e2 > $s1) || ($s2 > $s1 && $e1 > $s2)) {
1156 return true;
1157 } else {
1158 return false;
1159 }
1160 }
1161
1162 ?>
$i
$i
Definition: admin/adlist.php:91
$day
else $day
Definition: appointmentedit.php:665
$app
else $app
Definition: appointmentedit.php:128
$userID
else $userID
Definition: appointmentedit.php:121
eZDate
Definition: ezdate.php:46
eZGroupEditor
Definition: ezgroupeditor.php:33
eZGroupEventType
Definition: ezgroupeventtype.php:37
eZGroupEvent
Definition: ezgroupevent.php:85
eZGroupNoShow
Definition: ezgroupnoshow.php:34
eZLocale
Definition: ezlocale.php:119
eZPermission\checkPermission
static checkPermission( $user, $moduleName, $permissionName)
Definition: ezpermission.php:430
eZSection\globalSectionObject
static & globalSectionObject( $sectionID)
Definition: ezsection.php:366
eZSession\globalSession
static & globalSession( $id="", $fetch=true)
Definition: kernel/ezsession/classes/ezsession.php:614
eZTemplate
Definition: eztemplate.php:107
eZTime
Definition: eztime.php:38
eZUserGroup
Definition: ezusergroup.php:66
eZUser\currentUser
static & currentUser()
Definition: ezuser.php:896
$events
$events
Definition: cron_alerts.php:90
$event
if(isset( $Action) && $Action=="New") else $event
Definition: eventedit.php:189
$permission
$permission
Definition: eventedit.php:315
$editor
$editor
Definition: eventedit.php:316
$hour
$hour
Definition: export_froogle.php:310
$groups
if( $CategoryID !=0) $groups
Definition: ezbulkmail/admin/categoryedit.php:108
$firstDay
$firstDay
Definition: ezcalendar/user/monthview.php:134
$isMyCalendar
$isMyCalendar
Definition: ezgroupeventcalendar/user/dayview.php:154
$interval
$interval
Definition: ezgroupeventcalendar/user/dayview.php:334
addZero
addZero($value)
Definition: ezgroupeventcalendar/user/dayview.php:1051
$tmpDate
$tmpDate
Definition: ezgroupeventcalendar/user/dayview.php:315
$tmpGroup
if( $session->variable("ShowOtherCalendarGroups")==false||isset($GetByGroup)) $tmpGroup
Definition: ezgroupeventcalendar/user/dayview.php:117
$rootAccess
$rootAccess
Definition: ezgroupeventcalendar/user/dayview.php:190
$eventDone
$eventDone
Definition: ezgroupeventcalendar/user/dayview.php:538
$lastInterval
$lastInterval
Definition: ezgroupeventcalendar/user/dayview.php:417
getDayDiff
getDayDiff($d1, $d2)
Definition: ezgroupeventcalendar/user/dayview.php:1082
$tmpGroupEvent
$tmpGroupEvent
Definition: ezgroupeventcalendar/user/dayview.php:316
$tmpTime
$tmpTime
Definition: ezgroupeventcalendar/user/dayview.php:539
$typeList
foreach($group_array as $groupItem) $typeList
Definition: ezgroupeventcalendar/user/dayview.php:857
$groupID
$groupID
Definition: ezgroupeventcalendar/user/dayview.php:90
$t
$t
Definition: ezgroupeventcalendar/user/dayview.php:173
$noShowGroup
$noShowGroup
Definition: ezgroupeventcalendar/user/dayview.php:188
$startTime
$startTime
Definition: ezgroupeventcalendar/user/dayview.php:332
EventTimeOverlaps
EventTimeOverlaps($ev1, $ev2)
Definition: ezgroupeventcalendar/user/dayview.php:1137
$TemplateDir
$TemplateDir
Definition: ezgroupeventcalendar/user/dayview.php:53
$zDay
$zDay
Definition: ezgroupeventcalendar/user/dayview.php:153
$zMonth
$zMonth
Definition: ezgroupeventcalendar/user/dayview.php:152
getEventHeight
getEventHeight($event)
Definition: ezgroupeventcalendar/user/dayview.php:1064
$groupsList
$groupsList
Definition: ezgroupeventcalendar/user/dayview.php:185
$user
$user
Definition: ezgroupeventcalendar/user/dayview.php:66
$GlobalSectionID
$GlobalSectionID
Definition: ezgroupeventcalendar/user/dayview.php:54
$Month
$Month
Definition: ezgroupeventcalendar/user/dayview.php:144
$sectionObject
$sectionObject
Definition: ezgroupeventcalendar/user/dayview.php:158
$stopTime
$stopTime
Definition: ezgroupeventcalendar/user/dayview.php:333
$emptyRows
$emptyRows
Definition: ezgroupeventcalendar/user/dayview.php:537
$IntervalStr
$IntervalStr
Definition: ezgroupeventcalendar/user/dayview.php:57
$URL
$URL
Definition: ezgroupeventcalendar/user/dayview.php:80
$user_groupID
$user_groupID
Definition: ezgroupeventcalendar/user/dayview.php:184
$curYear
$curYear
Definition: ezgroupeventcalendar/user/dayview.php:62
$type
if(!isset($GetByGroupID)) if($GetByGroupID==false) if(!isset($GetByUserID)) if(!isset($Type)) $type
Definition: ezgroupeventcalendar/user/dayview.php:109
$Locale
$Locale
Definition: ezgroupeventcalendar/user/dayview.php:58
$StopTimeStr
$StopTimeStr
Definition: ezgroupeventcalendar/user/dayview.php:51
$numRows
for($i=$startTime->hour(); $i<=$stopTime->hour(); $i++) $numRows
Definition: ezgroupeventcalendar/user/dayview.php:532
$dayArray
if(preg_match("#(^( $dayArray[0-9]{1, 2})[^0-9]{0, 1}([0-9]{0, 2})$)#", $StartTimeStr, $startArray)) if (preg_match( "#(^([0-9]{1, 2})[^0-9]{0, 1}([0-9]{0, 2})$)#", $StopTimeStr, $stopArray)) if (preg_match( "#(^([0-9]{1, 2})[^0-9]{0, 1}([0-9]{0, 2})$)#", $IntervalStr, $intervalArray))
Definition: ezgroupeventcalendar/user/dayview.php:384
$curDay
$curDay
Definition: ezgroupeventcalendar/user/dayview.php:64
$nowSet
$nowSet
Definition: ezgroupeventcalendar/user/dayview.php:643
$numCols
$numCols
Definition: ezgroupeventcalendar/user/dayview.php:533
$Language
$Language
Definition: ezgroupeventcalendar/user/dayview.php:49
$ini
$ini
Definition: ezgroupeventcalendar/user/dayview.php:46
$session
if( $user) elseif(! $user) $session
Definition: ezgroupeventcalendar/user/dayview.php:77
$colTaken
$colTaken
Definition: ezgroupeventcalendar/user/dayview.php:536
$curMonth
$curMonth
Definition: ezgroupeventcalendar/user/dayview.php:63
$firstInterval
$firstInterval
Definition: ezgroupeventcalendar/user/dayview.php:418
$row
$row
Definition: ezgroupeventcalendar/user/dayview.php:644
$curDate
$curDate
Definition: ezgroupeventcalendar/user/dayview.php:59
$tableCellsRowSpan
$tableCellsRowSpan
Definition: ezgroupeventcalendar/user/dayview.php:535
$group
while($tmpTime->isGreater($stopTime, false)==true) $group
Definition: ezgroupeventcalendar/user/dayview.php:835
$group_array
$group_array
Definition: ezgroupeventcalendar/user/dayview.php:836
$Day
$Day
Definition: ezgroupeventcalendar/user/dayview.php:145
$midNight
$midNight
Definition: ezgroupeventcalendar/user/dayview.php:415
$dayAdjust
$dayAdjust
Definition: ezgroupeventcalendar/user/dayview.php:882
$date
if(!isset($GetByTypeID)) $date
Definition: ezgroupeventcalendar/user/dayview.php:136
$tableCellsId
$tableCellsId
Definition: ezgroupeventcalendar/user/dayview.php:534
$templateDirTmp
$templateDirTmp
Definition: ezgroupeventcalendar/user/dayview.php:161
eventRowSpan
eventRowSpan(&$event)
Definition: ezgroupeventcalendar/user/dayview.php:992
$emptyDone
while($tmpTime->isGreater($stopTime)==true) for($col=0; $col< $numCols; $col++) $emptyDone
Definition: ezgroupeventcalendar/user/dayview.php:641
$SiteDesign
$SiteDesign
Definition: ezgroupeventcalendar/user/dayview.php:47
$StartTimeStr
$StartTimeStr
Definition: ezgroupeventcalendar/user/dayview.php:50
$today
$today
Definition: ezgroupeventcalendar/user/dayview.php:314
$now
$now
Definition: ezgroupeventcalendar/user/dayview.php:642
intersects
intersects(&$app, &$startTime, &$stopTime)
Definition: ezgroupeventcalendar/user/dayview.php:1019
$GetByGroupID
else $GetByGroupID
Definition: ezgroupeventcalendar/user/monthview.php:91
$eventGroup
if(( $session->variable("ShowOtherCalendarGroups")==false)||(isSet( $GetByGroup))) $eventGroup
Definition: ezgroupeventcalendar/user/monthview.php:103
$ret
$ret
Definition: ezsitemanager/admin/filelist.php:88
$res
$res
Definition: ezstats/admin/cron.php:45
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.